Package org.apache.commons.codec.cli

# Class Digest

java.lang.Object
org.apache.commons.codec.cli.Digest

public class Digest extends Object
A minimal command line to run digest over files, directories or a string.

Since:
  1.11
See Also:
  - `main(String[])`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`
  Runs the digest algorithm in `args[0]` on the file in `args[1]`.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### main

    public static void main(String[] args) throws IOException
    Runs the digest algorithm in `args[0]` on the file in `args[1]`. If there is no `args[1]`, use standard input.

    The algorithm can also be `ALL` or `*` to output one line for each known algorithm.

    Parameters:
      `args` - `args[0]` is one of `MessageDigestAlgorithms` name, `MessageDigest` name, `ALL`, or `*`. `args[1+]` is a FILE/DIRECTORY/String.
    Throws:
      `IOException` - if an error occurs

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`